%define dist .1.idcf.el6

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		python-parsedatetime
Version:	0.8.6
Release:	0%{?dist}
Summary:	Python module to parse human-readable date/time expressions.

Group:		Development/Languages
License:	Apache License, Version 2.0
Source0:	http://code-bear.com/code/parsedatetime/parsedatetime-%{version}.tar.gz
URL:		http://code-bear.com/code/parsedatetime/

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Python module to parse human-readable date/time expressions.

%prep
%setup -q -n parsedatetime-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT


%files
%{python_sitelib}/*


%changelog
* Fri May 11 2012 KAJIKAWA Haruhiko <hkajikawa@idcf.jp> - 0.8.7-0.1
- rebuild again.

* Fri Dec 16 2011 KAJIKAWA Haruhiko <hkajikawa@idcf.jp> - 0.8.7-0
- Initial package.
