%define dist .0.idcf.el6

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global upstream_name pyaml

Name:           python-%{upstream_name}
Version:        13.07.1
Release:        0%{?dist}
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data

Group:          Development/Languages
License:        WTFPL
URL:            https://github.com/mk-fg/pretty-yaml
Source0:        https://pypi.python.org/packages/source/p/pyaml/pyaml-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel

%description
YAML is generally nice an easy format to read if it was written by humans.

Unfortunately, by default, available serializers seem to not care about 
that aspect, producing correct but less-readable (and format allows for 
json-style crap) and poorly-formatted dumps, hence this simple module.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Fri Aug 02 2013 KAJIKAWA Haruhiko <hkajikawa@idcf.jp> - 13.07.1-0.0.idcf.el6
- first release.
