%define dist .0.idcf.el6

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global upstream_name sqlsoup

Name:           python-%{upstream_name}
Version:        0.9.0
Release:        0%{?dist}
Summary:        A one step database access tool, built on the SQLAlchemy ORM.

Group:          Development/Languages
License:        MIT
URL:            http://bitbucket.org/zzzeek/sqlsoup
Source0:        https://pypi.python.org/packages/source/s/sqlsoup/sqlsoup-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel

%description
SQLSoup provides a convenient way to map Python objects to relational database 
tables, with no declarative code of any kind. It's built on top of the 
SQLAlchemy ORM and provides a super-minimalistic interface to an existing 
database.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Aug 02 2013 KAJIKAWA Haruhiko <hkajikawa@idcf.jp> - 13.07.1-0.0.idcf.el6
- first release.
