%define dist .0.idcf.el6

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global upstream_name PyMySQL

Name:           python-%{upstream_name}
Version:        0.5
Release:        0%{?dist}
Summary:        Pure Python MySQL Driver

Group:          Development/Languages
License:        MIT
URL:            https://github.com/petehunt/PyMySQL/
Source0:        https://pypi.python.org/packages/source/P/PyMySQL/PyMySQL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel

%description
PyMySQL: Pure Python MySQL Client

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Aug 02 2013 KAJIKAWA Haruhiko <hkajikawa@idcf.jp> - 13.07.1-0.0.idcf.el6
- first release.
